<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Welcome to Firebase Hosting</title>

    <script defer src="/__/firebase/9.17.1/firebase-app-compat.js"></script>
    <script defer src="/__/firebase/9.17.1/firebase-auth-compat.js"></script>
    <script defer src="/__/firebase/9.17.1/firebase-database-compat.js"></script>
    <script defer src="/__/firebase/9.17.1/firebase-firestore-compat.js"></script>
    <script defer src="/__/firebase/9.17.1/firebase-storage-compat.js"></script>
    <script defer src="/__/firebase/init.js?useEmulator=true"></script>
  </head>
  <body>
    <h1>Hello!</h1>

    <div id="viewForNotLoggedUser">
      <form>
        <div>
          <label>Email</label>
          <input id="emailForm" type="email">
        </div>

        <div>
          <label>Password</label>
          <input id="passwordForm" type="password">
        </div>

        <div>
          <div id="errorLabel"></div>
        </div>
        
        <div>
          <button id="signUpBtn" type="button">Sign Up</button>
          <button id="signInBtn" type="button">Sign In</button>
        </div>
      </form>
    </div>

    <div id="viewForLoggedUser">
      <button id="signOutBtn" type="button">Sign Out</button>
    </div>

    <script type="module" src="app.js"></script>
  </body>
</html>
